BLENDER(1)

NAME
blender - a 3D modelling and rendering package

SYNOPSIS
blender [args ...] [file] [args ...]

DESCRIPTION

blender is a 3D modelling and rendering package. It is the in-house software of a high quality animation studio, Blender has proven to be an extremely fast and versatile design instrument. The software has a personal touch, offering a unique approach to the world of Three Dimensions. Use Blender to create TV commercials, to make technical visualizations, business graphics, to do some morphing, or design user interfaces. You can easy build and manage complex environments. The renderer is versatile and extremely fast. All basic animation principles (curves & keys) are well implemented. http://www.blender.org

OPTIONS
Blender 2.66 Usage: blender [args ...] [file] [args ...]

  Render Options:

-b or --background <file>
    Load <file> in background (often used for UI-less rendering)

-a or --render-anim
    Render frames from start to end (inclusive)

-S or --scene <name>
    Set the active scene <name> for rendering

-f or --render-frame <frame>
    Render frame <frame> and save it.
    +<frame> start frame relative, -<frame> end frame relative.

-s or --frame-start <frame>
    Set start to frame <frame> (use before the -a argument)

-e or --frame-end <frame>
    Set end to frame <frame> (use before the -a argument)

-j or --frame-jump <frames>
    Set number of frames to step forward after each rendered frame

-o or --render-output <path>
    Set the render path and file name.
    Use // at the start of the path to
        render relative to the blend file.
    The # characters are replaced by the frame number, and used to define zero padding.
        ani_##_test.png becomes ani_01_test.png
        test-######.png becomes test-000001.png
        When the filename does not contain #, The suffix #### is added to the filename
    The frame number will be added at the end of the filename.
        eg: blender -b foobar.blend -o //render_ -F PNG -x 1 -a
        //render_ becomes //render_####, writing frames as //render_0001.png//

-E or --engine <engine>
    Specify the render engine
    use -E help to list available engines

  Format Options:

-F or --render-format <format>
    Set the render format, Valid options are...
        TGA IRIS JPEG MOVIE IRIZ RAWTGA
        AVIRAW AVIJPEG PNG BMP FRAMESERVER
    (formats that can be compiled into blender, not available on all systems)
        HDR TIFF EXR MULTILAYER MPEG AVICODEC QUICKTIME CINEON DPX DDS

-x or --use-extension <bool>
    Set option to add the file extension to the end of the file

-t or --threads <threads>
    Use amount of <threads> for rendering in background
    [1-64], 0 for systems processor count.

  Animation Playback Options:

-a <options> <file(s)>
    Playback <file(s)>, only operates this way when not running in background.
        -p <sx> <sy> Open with lower left corner at <sx>, <sy>
        -m Read from disk (Don't buffer)
        -f <fps> <fps-base> Specify FPS to start with
        -j <frame> Set frame step to <frame>
        -s <frame> Play from <frame>
        -e <frame> Play until <frame>

  Window Options:

-w or --window-border
    Force opening with borders (default)

-W or --window-borderless
    Force opening without borders

-p or --window-geometry <sx> <sy> <w> <h>
    Open with lower left corner at <sx>, <sy> and width and height as <w>, <h>

-con or --start-console
    Start with the console window open (ignored if -b is set)

  Game Engine Specific Options:

-g Game Engine specific options
    -g fixedtime Run on 50 hertz without dropping frames
    -g vertexarrays Use Vertex Arrays for rendering (usually faster)
    -g nomipmap No Texture Mipmapping
    -g linearmipmap Linear Texture Mipmapping instead of Nearest (default)

  Misc Options:

-d or --debug
    Turn debugging on

    * Prints every operator call and their arguments
    * Disables mouse grab (to interact with a debugger in some cases)
    * Keeps python sys.stdin rather than setting it to None

--debug-fpe
    Enable floating point exceptions

--disable-crash-handler
    Disable the crash handler

--factory-startup
    Skip reading the "startup.blend" in the users home directory

--env-system-datafiles
    Set the BLENDER_SYSTEM_DATAFILES environment variable

--env-system-scripts
    Set the BLENDER_SYSTEM_SCRIPTS environment variable

--env-system-python
    Set the BLENDER_SYSTEM_PYTHON environment variable

-nojoystick
    Disable joystick support

-noglsl
    Disable GLSL shading

-noaudio
    Force sound system to None

-setaudio
    Force sound system to a specific device
    NULL SDL OPENAL JACK

-h or --help
    Print this help text and exit

-y or --enable-autoexec
    Enable automatic python script execution, (default)

-Y or --disable-autoexec
    Disable automatic python script execution (pydrivers & startup scripts)

-P or --python <filename>
    Run the given Python script file

--python-text <name>
    Run the given Python script text block

--python-console
    Run blender with an interactive console

--addons
    Comma separated list of addons (no spaces)

-v or --version
    Print Blender version and exit

--
    Ends option processing, following arguments passed unchanged. Access via python's sys.argv

  Other Options:

/?
    Print this help text and exit (windows only)

--debug-python
    Enable debug messages for python

--debug-events
    Enable debug messages for the event system

--debug-handlers
    Enable debug messages for event handling

--debug-wm
    Enable debug messages for the window manager

--debug-all
    Enable all debug messages (excludes libmv)

--debug-value <value>
    Set debug value of <value> on startup

--debug-jobs
    Enable time profiling for background jobs.

--verbose <verbose>
    Set logging verbosity level.

-R
    Register .blend extension, then exit (Windows only)

-r
    Silently register .blend extension, then exit (Windows only)

--no-native-pixels
    Do not use native pixel size, for high resolution displays (MacBook 'Retina')

  Argument Parsing:
    arguments must be separated by white space. eg
        "blender -ba test.blend"
    ...will ignore the 'a'
        "blender -b test.blend -f8"
    ...will ignore 8 because there is no space between the -f and the frame value

  Argument Order:
Arguments are executed in the order they are given. eg
        "blender --background test.blend --render-frame 1 --render-output /tmp"
    ...will not render to /tmp because '--render-frame 1' renders before the output path is set
        "blender --background --render-output /tmp test.blend --render-frame 1"
    ...will not render to /tmp because loading the blend file overwrites the render output that was set
        "blender --background test.blend --render-output /tmp --render-frame 1" works as expected.

ENVIRONMENT VARIABLES
  BLENDER_USER_CONFIG Directory for user configuration files.
  BLENDER_USER_SCRIPTS Directory for user scripts.
  BLENDER_SYSTEM_SCRIPTS Directory for system wide scripts.
  Directory for user data files (icons, translations, ..).
  BLENDER_SYSTEM_DATAFILES Directory for system wide data files.
  BLENDER_SYSTEM_PYTHON Directory for system python libraries.
  TMP or TMPDIR Store temporary files here.
  PYTHONHOME Path to the python directory, eg. /usr/lib/python.

SEE ALSO
yafaray(1)

AUTHORS
This manpage was written for a Debian GNU/Linux system by Daniel Mester <mester@uni-bremen.de> and updated by Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> and Dan Eicher <dan@trollwerks.org>.